DO $$DECLARE
   this_version CONSTANT varchar := '00.01.055';
BEGIN
   PERFORM * FROM "DBVersion" WHERE version = this_version;
   IF FOUND THEN RETURN; END IF;

CREATE TABLE IF NOT EXISTS public."ant_Annotation"
(
    "id" uuid NOT NULL,
    "entity_id" uuid NOT NULL,
    "entity_type" character varying(512) COLLATE pg_catalog."default" NOT NULL,
    "anchor" character varying(512) COLLATE pg_catalog."default",
    "payload" text COLLATE pg_catalog."default",
    "created_at" timestamp without time zone NOT NULL,
    "updated_at" timestamp without time zone NOT NULL,
    "is_active" smallint NOT NULL,
    CONSTRAINT "ant_Annotation_pkey" PRIMARY KEY (id)
);

    INSERT INTO public."DBVersion" VALUES ('DMPDB', '00.01.055', '2024-02-20 12:00:00.000000+02', now(), 'Add table ant_Annotation.');

END$$;